/* -*- coding: utf-8 -*- */
#ifndef _JOY_DATA_H
#define _JOY_DATA_H

#ifdef WITH_SDL2
#include <SDL2/SDL.h>
#else
#include <SDL/SDL.h>
#endif
#include "joy_devices.h"

int NUM_JOYS;
int MAX_AXIS;
int MAX_HAT;
int MAX_BTN;

struct joy_axis** axes;
struct joy_hat** hats;
struct joy_button** btns;

SDL_Joystick** joys;
int* dev_map;
int* cfg_map;

FILE *fn;

int smooth_refresh;
int smooth_algorithm;

#endif
